To Add Point on Edge in the Main Menu select Repair - > Add Point on Edge.
This operation splits an edge in two or more new edges. This operation is available in OCC Viewer only.
The Result will be a GEOM_Object.
The location of a new vertex on the selected edge can be defined in two ways:
By specifying the position (ranging from 0.0 to 1.0) by length or by parameter.
TUI Command: geompy.DivideEdge(Shape, EdgeID, Value, IsByParameter)
True:
Value is treated as a curve parameter; [0..1]False:
Value is treated as a length parameter. [0..1] Arguments: Name + 1 Edge + 1 Value setting the position of the point according to the selected mode.
The difference between "by parameter" and "by length" modes becomes apparent on the edges with irregular parametrization (for example, b-splines which usually have irregular density by the length). For example, value 0.5 "by length" on such edge will produce the point in the middle of this edge (equidistant from both its ends); the same 0.5 value "by parameter" will result in the point situated closer to one of the ends (depending on the actual parametrization).
By selecting several points that will be projected to the selected edge to find the location of new vertices.
TUI Command: geompy.DivideEdgeByPoint(Shape, Edge, Points):
Arguments: Name + 1 Edge + 1 or more Points.
Example:
Our TUI Scripts provide you with useful examples of the use of Repairing Operations.